Subject: Re: [PATCH v3 0/8] rev-parse: implement object type filter

From: Junio C Hamano <[email-masked]>
Date: Sat, 10 Apr 2021 23:02:55 -0700

Patrick Steinhardt <[email-masked]> writes:

> Subject: Re: [PATCH v3 0/8] rev-parse: implement object type filter
>
> this is the third version of my patch series which implements a new
> `object:type` filter for git-rev-parse(1) and git-upload-pack(1) and
> extends support for bitmap indices to work with combined filters.

Do you truly mean rev-parse, or is it just a typo for rev-list?

> This mostly addresses Peff's comments. Thanks for your feedback!
>
>     - Removed the `base` parameter from `process_tag()`.
>
>     - The object type filter doesn't assume ordering for the object type
>       enum anymore.
>
>     - Combined filters in the bitmap path now verify that
>       `filter_bitmap` does not return any errors.
>
>     - Renamed "--filter-provided" to "--filter-provided-revisions" and
>       added documentation for it.
>
>     - Refactored the code to not munge the `filter_provided` field in
>       the filter options struct, but instead carry it in rev-list.c.
>
> Please see the attached range-diff for more details.
>
> Patrick